Bug #537

Convert tools and engine to use libsquish

Added by sfb over 10 years ago. Updated almost 9 years ago.

Status:Closed Start date:05/11/2009
Priority:Normal Due date:
Assignee:kervala % Done:

100%

Category:Tools: General
Target version:Version 0.7.0

Description

Presently the 3D tools uses the S3TC texture compression library which is no longer available for download. This issue is to replace references to s3tc (chiefly s3tc_compressor_lib) an updated and maintained library. It has been decided that we should go with libsquish (http://code.google.com/p/libsquish/)

History

#1 Updated by sfb almost 11 years ago

  • Status changed from New to Resolved
  • % Done changed from 0 to 100

Applied in changeset r1749.

#2 Updated by sfb almost 10 years ago

  • Status changed from Resolved to Assigned

Sorry! I used the wrong issue number in that commit!

#3 Updated by kervala over 9 years ago

  • Assignee set to kervala
  • % Done changed from 100 to 30

#4 Updated by kervala over 9 years ago

  • Status changed from Assigned to Resolved
  • % Done changed from 30 to 100

#5 Updated by kervala over 9 years ago

We only needs to put libsquish in externals.

#6 Updated by sfb over 9 years ago

Is libsquish available via RPM/deb/apt?

#7 Updated by kervala over 9 years ago

No, so we could include it in a subfolder of "s3tc_compressor_lib" project. That's the only project which depends on s3tc or squish, all other tools are linked to it and are not using directly s3tc compress methods.

#8 Updated by sfb over 9 years ago

That's a reasonable workaround, yes?

#9 Updated by kervala over 9 years ago

For the moment, panoply_maker, hls_bank_maker and tga2dds are not really used by NeL users, so those who want to compile them may compile libsquish themself (it provides cmake makefiles).

Btw libsquish is a very small library (10 .cpp files and 1 .h).

#10 Updated by sfb over 9 years ago

  • Status changed from Resolved to Closed

#11 Updated by kervala almost 9 years ago

  • Project changed from NeL to Ryzom
  • Category deleted (Tools)
  • Target version deleted (0.8.0)

#12 Updated by kervala almost 9 years ago

  • Category set to Tools: General
  • Target version set to Version 0.7.0

Also available in: Atom PDF